<!-- 物流信息 -package_detail -->
<template>
  <div class="pr15 pl15 pt10">
    <van-card class="bgfff m_brd"  v-for="(order_goods,index) in goods" :key="index" :num="order_goods.num" :price="order_goods.price" :title="order_goods.title" :thumb="order_goods.images">
      <div slot="footer">
        <!-- <div><span class="m_color">{{order_goods.num}}</span> {{order_goods.unit | unit}}商品，小计<span class="m_color"> ¥ {{order_goods.total}}</span></div> -->
      </div>
    </van-card>

    <van-steps  direction="vertical" active-color="#FC781D" :active="0" class="mt10 m_brd mb10">
      <van-step v-for="(item , index) in info" :key="index">
        <div class="desc">{{item.AcceptStation}}</div>
        <p class="time">{{item.AcceptTime}}</p>
      </van-step>
    </van-steps>

    <div class="tip" v-if="!info.length">
      <van-icon size="2rem" name="logistics" />
      <p class="mt20">暂时没有物流信息</p>
    </div>
  </div>
</template>

<script>
export default {
  name: 'package_detail',
  data() {
    return {
      info: [],
      goods: []
    }
  },
  created() {
    this.init()
  },
  beforeDestroy() {
    sessionStorage.packagesGoodsData = ''
  },
  methods: {
    //初始化方法
    init() {
      this.getInfo()
    },
    getInfo() {
      this.goods = sessionStorage.packagesGoodsData && JSON.parse(sessionStorage.packagesGoodsData) || []
      let query = this.$route.query
      this.m_loading()
      this.api.order_package_trace(query).then(res => {
        this.info = res.data.reverse()
        this.m_hideLoading()
      })
    },
  },
}

</script>
<style lang='scss' scoped>
.tip {
  text-align: center;
  padding-top: 2rem;
  font-size: 0.3rem;
  color: #666;
}

.desc{
  font-size: 0.28rem
}
</style>